hk_importcsv(1)

NAME
hk_importcsv - imports a csv file. hk_importcsv is part of the hk_classes package

SYNOPSIS
hk_importcsv -d driver -b database -t tablename [OPTIONS] CSV-file

DESCRIPTION
hk_importcsv imports a csv file and creates the table if necessary.

OPTIONS

-b, --database=DATABASE
    database name

--between=BETWEEN
    column separator, default is ','

-d, --driver=DRIVERNAME
    set the SQL-driver (e.g. mysql). You can get a list of all existing SQL-drivers with -l or --list

--delimiter=TEXTDELIMITER
    the text delimiter, default is '"'

-f, --filter=FILTER
    filter of the datasource. It has the same syntax as the WHERE clause of a SQL statement, just without the 'WHERE'. Example: "author_id = 5"

-h, --host=HOST
    name or IP-number of the host

-l, --list
    List available database drivers

--noheader
    if set the column names will not be included in the first row

-p, --password=PASSWORD
    user password at the SQL server

-r, --port=PORT
    TCP-port on host

-t, --table=TABLE NAME
    the name of the table

-u, --user=USERNAME
    user name at the sql-server

-w, --overwrite
    overwrites the table if it already exists

--version
    version and author of hk_classes

DIAGNOSTICS
hk_importcsv returns 0 if everything was ok, or 1 if an error occured. A clear text error message will be written to stderr.

AUTHOR
Horst Knorr <hk_classes@knoda.org>

SEE ALSO
hk_exportcsv(1), hk_exportxml(1), hk_importcsv(1)